List JWT SP configurations

Retrieves a list of all Service Provider (SP) configurations associated with JWT clients for the Tenant, including endpoints, mapping, and other settings for each SP setup.

GET
/v2/manage/custom-providers/jwt

Retrieves a list of all Service Provider (SP) configurations associated with JWT clients for the Tenant, including endpoints, mapping, and other settings for each SP setup.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/v2/manage/custom-providers/jwt"
{
  "Data": [
    {
      "Id": "507f1f77bcf86cd799439011",
      "IsActive": true,
      "AppId": 123,
      "AppName": "MyApp",
      "Algo": "HS256",
      "Mapping": {
        "key1": "value1",
        "key2": "value2"
      },
      "Key": "my-secret-key",
      "TokenQueryParameterName": "token",
      "ClockSkew": 300,
      "LoginUrl": "https://example.com/login",
      "Issuer": {
        "ExpectedValue": "issuer",
        "MatchValue": true,
        "IsMandatory": true
      },
      "Subject": {
        "IsMandatory": true
      },
      "Audience": {
        "ExpectedValues": [
          "aud1",
          "aud2"
        ],
        "MatchValue": true,
        "IsMandatory": true
      },
      "ExpirationTimeDifference": 3600,
      "UseAuthorizationHeader": true,
      "NotBefore": {
        "IsMandatory": true
      },
      "Expiration": {
        "IsMandatory": true
      },
      "JWKSUrl": "https://example.com/.well-known/jwks.json",
      "UpdateEmailProfile": true,
      "RaasUpdateFields": [
        "field1",
        "field2"
      ],
      "Domain": "example.com",
      "EnableAutoLookUp": true,
      "Version": "v1",
      "ListInInterface": true,
      "CreatedDate": "2023-01-01T00:00:00Z",
      "LastModifiedDate": "2023-01-02T00:00:00Z"
    }
  ]
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Description": "JWT configuration not found or the resource does not exist.",
  "ErrorCode": 7958,
  "Message": "JWT configuration not found"
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}